# Get bulk payments Endpoint: GET /bulk-payments/{paymentProduct} Version: 1.0.0 Security: Api access ## Path parameters: - `paymentProduct` (string, required) Enum: "creditTransfer", "directDebit" ## Query parameters: - `createdFrom` (string) Only payments created after this date will be fetched - `createdTo` (string) Only payments created before this date will be fetched, should be a later date than createdAtDateFrom - `updatedFrom` (string) Only payments updated after this date will be fetched, payments that have never been updated will also be fetched - `updatedTo` (string) Only payments updated before this date will be fetched, payments that have never been updated will also be fetched, should be a later date than updatedAtDateFrom if it is specified - `status` (string) Status of the payments to fetch Enum: "accc", "accp", "acsc", "acsp", "actc", "acwc", "acwp", "rcvd", "pdng", "rjct", "canc", "acfc", "patc", "part" - `accountId` (string) Resource uri of the account to get payments for - `cursor` (string) cursor to get next or previous page ## Header parameters: - `PSU-IP-Address` (string) IP Address of the PSU. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Response 200 fields (application/json): - `payments` (array) - `payments.paymentId` (string) Id of the payment initiation Example: "A30D7108-A584-4C32-95ED-8FF4BB5A7C2C" - `payments.transactionStatus` (string) Status of the payment Enum: "accc", "accp", "acsc", "acsp", "actc", "acwc", "acwp", "rcvd", "pdng", "rjct", "canc", "acfc", "patc", "part" - `payments.tppMessage` (array) Messages on operational issues. - `payments.tppMessage.category` (string, required) TPP message category. Enum: "error", "warning" - `payments.tppMessage.code` (string, required) Code of the TPP message. Example: "AC03" - `payments.tppMessage.message` (null,string) Additional explaining text. - `payments.requestedExecutionDate` (null,string) - `payments.debtorAccount` (object) Account reference - `payments.debtorAccount.iban` (null,string) IBAN of the account Example: "FR7612345987650123456789014" - `payments.debtorAccount.bban` (null,string) BBAN of the account - ISO 20022 Example: "BARC12345612345678" - `payments.debtorAccount.other` (null) Generic account reference. - `payments.debtorAccount.currency` (null,string) Currency code - ISO 4217 Example: "EUR" - `payments.debtorAccount.pan` (null,string) Primary Account Number - ISO/IEC 7812 Example: 5409050000000000 - `payments.debtorAccount.maskedPan` (null,string) Masked Primary Account Number - ISO/IEC 7812 Example: "123456xxxxxx1234" - `payments.debtorAccount.msisdn` (null,string) Mobile phone number Example: "+491701234567" - `payments.debtorName` (null,string) Debtor name - `payments.debtorAddress` (null) Debtor address - `payments.createdAt` (null,string) - `payments.updatedAt` (null,string) - `payments._links` (object) - `payments._links.self` (object) - `payments._links.self.href` (string) Url to a resource Example: "https://banking.aritma.io/api/accounts/1234/transactions?fromDate=2019-08-24T14:15:22Z" - `payments._links.self.verb` (string) The http verb the link is accessible through Enum: "get", "post", "put", "delete" - `payments._links.status` (object) - `_links` (object) Links - `_links.next` (null) A link to the next request if available - `_links.previous` (null) A link to the previous request if available ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)